CHSH(1)

名称
chsh - 更改登录 shell

大纲

chsh [options] [LOGIN]

描述

The chsh command changes the user login shell. This determines the name of the user's initial login command. A normal user may only change the login shell for her own account; the superuser may change the login shell for any account.

选项

The options which apply to the chsh command are:

-h, --help
    显示帮助信息并退出。

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --shell SHELL
    用户的新登录 shell 的名称。将此字段设置为空会让系统选择默认的登录 shell。

If the -s option is not selected, chsh operates in an interactive fashion, prompting the user with the current login shell. Enter the new value to change the shell, or leave the line blank to use the current one. The current shell is displayed between a pair of [ ] marks.

注意

The only restriction placed on the login shell is that the command name must be listed in /etc/shells, unless the invoker is the superuser, and then any value may be added. An account with a restricted login shell may not change her login shell. For this reason, placing /bin/rsh in /etc/shells is discouraged since accidentally changing to a restricted shell would prevent the user from ever changing her login shell back to its original value.

For this reason, placing /bin/rsh in /etc/shells is discouraged since accidentally changing to a restricted shell would prevent the user from ever changing her login shell back to its original value.

文件

/etc/passwd
    用户账户信息。

/etc/shells
    可用的登录 shell 的列表。

/etc/login.defs
    Shadow 密码套件配置。

参见

chfn(1), login.defs(5), passwd(5).